<?php
namespace WpBookingProFrontend\app\helpers;

use WpBookingPro\Factory;
use WpBookingPro\Mvc\Model\Model as ModelAlias;

class ConfigHelper extends FrontendHelper
{
    public static function get_page_service_detail(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('page_service_detail',0);

    }
    public static function get_page_user_account(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('page_user_account',0);

    }
    public static function get_page_login(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('page_login',0);

    }
    public static function get_page_signup(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('page_signup',0);

    }

    public static function get_page_list_service(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('page_list_service',0);

    }

    public static function get_page_list_category(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('page_list_category',0);

    }
    public static function get_page_list_vendor(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('page_list_vendor',0);

    }
    public static function get_page_vendor_detail(){
        $modelConfig = ModelAlias::getInstance('config');
        $item = $modelConfig->getItem(1);
        return $item->params->get('page_vendor_detail',0);

    }

}